/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.ranger.raz.intg.client.executor;

import javax.net.ssl.SSLContext;

public class RestClientExecutorConfig {
    private boolean    ssl;
    private SSLContext sslContext;
    private String     username;
    private String     password;
    private Integer    restClientConnTimeOutMs;
    private Integer    restClientReadTimeOutMs;
    private Integer    maxConnections;
    private Integer    maxConnectionsPerHost;

    public boolean isSsl() {
        return ssl;
    }

    public void setSsl(boolean ssl) {
        this.ssl = ssl;
    }

    public SSLContext getSslContext() {
        return sslContext;
    }

    public void setSslContext(SSLContext sslContext) {
        this.sslContext = sslContext;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getRestClientConnTimeOutMs() {
        return restClientConnTimeOutMs;
    }

    public void setRestClientConnTimeOutMs(Integer restClientConnTimeOutMs) {
        this.restClientConnTimeOutMs = restClientConnTimeOutMs;
    }

    public Integer getRestClientReadTimeOutMs() {
        return restClientReadTimeOutMs;
    }

    public void setRestClientReadTimeOutMs(Integer restClientReadTimeOutMs) {
        this.restClientReadTimeOutMs = restClientReadTimeOutMs;
    }

    public Integer getMaxConnections() {
        return maxConnections;
    }

    public void setMaxConnections(Integer maxConnections) {
        this.maxConnections = maxConnections;
    }

    public Integer getMaxConnectionsPerHost() {
        return maxConnectionsPerHost;
    }

    public void setMaxConnectionsPerHost(Integer maxConnectionsPerHost) {
        this.maxConnectionsPerHost = maxConnectionsPerHost;
    }
}